Page MenuHomePhabricator

Copying table creates visible ve-data-attributes and table tags
Closed, ResolvedPublic1 Story Points

Description

This edit was reported on the German-language Wikipedia's VE feedback page today.

There is a lot of unnecessary tags added:

{| class="wikitable" style="width: 100%;" data-ve-attributes="{"style":"width: 100%;"}"
<tbody><tr><th style="width: 15%;height:50px;" data-ve-attributes="{&quot;style&quot;:&quot;width: 15%;height:50px;&quot;}">Name</th><th style="width: 15%;" data-ve-attributes="{&quot;style&quot;:&quot;width: 15%;&quot;}">Erscheinungsdatum</th><th>Patch</th></tr><tr><td>'''''Leviathans'''''</td><td>20. Oktober 2016</td><td>1.3 ([[:en:Robert_Heinlein|Heinlein]])</td></tr><tr><td>'''''Utopia'''''</td><td>6. April 2017</td><td>1.5 ([[:en:Iain_Banks|Banks]])</td></tr><tr><td><i>'''Synthetic Dawn'''</i></td><td>21. September 2017</td><td>1.7 ([[:en:Karel_Čapek|Čapek]])</td></tr><tr><td><i>'''Apocalypse'''</i></td><td>22. Februar 2018</td><td>2.0 ([[:en:C._J._Cherryh|Cherryh]])</td></tr><tr><td>'''''Distant Stars'''''</td><td>22. Mai 2018</td><td>2.1 ([[:en:Larry_Niven|Niven]])<ref>{{cite web|url=https://forum.paradoxplaza.com/forum/index.php?threads/dev-team-niven-update-2-1-0-released-checksum-01a9.1099863/|title=[Dev Team] Niven update (2.1.0) Released [checksum 01a9]|accessdate=May 22, 2018}}</ref></td></tr></tbody>
|}

If you have any questions for the editor, let me know.

One way to reproduce the issue:
The reporting user suggested that the editor might have copied the table from the English article, which indeed reproduces the issue:

  1. Go to https://en.wikipedia.org/wiki/Stellaris_(video_game)
  2. Copy the table
  3. Insert the table into https://de.wikipedia.org/wiki/Stellaris
  4. Switch to source editing and look at the source code

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (3cb400800)
VisualEditor/VisualEditor : masterce.Surface: afterPaste should always remove ve-attributes

Event Timeline

Cirdan created this task.Jun 3 2018, 7:11 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2018, 7:11 AM
Cirdan renamed this task from Inserting table creates visible ve-data-attributes and table tags to Copying table creates visible ve-data-attributes and table tags.Jun 3 2018, 7:17 AM
Cirdan updated the task description. (Show Details)
Deskana triaged this task as Normal priority.Jun 5 2018, 6:44 PM
Deskana edited projects, added VisualEditor (Current work); removed VisualEditor.
Deskana added a subscriber: Deskana.

Eugh. Another one of these "junk inserted when the user pastes" ones.

Change 438027 had a related patch set uploaded (by DLynch; owner: DLynch):
[VisualEditor/VisualEditor@master] ce.Surface: afterPaste should always remove ve-attributes

https://gerrit.wikimedia.org/r/438027

DLynch claimed this task.Jun 7 2018, 3:20 PM
DLynch moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 438027 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] ce.Surface: afterPaste should always remove ve-attributes

https://gerrit.wikimedia.org/r/438027

Change 438041 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (3cb400800)

https://gerrit.wikimedia.org/r/438041

Change 438041 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (3cb400800)

https://gerrit.wikimedia.org/r/438041

Deskana closed this task as Resolved.Jun 11 2018, 3:07 PM
Jdforrester-WMF set the point value for this task to 1.Jun 13 2018, 6:26 PM
Vvjjkkii renamed this task from Copying table creates visible ve-data-attributes and table tags to trbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed DLynch as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: DLynch; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from trbaaaaaaa to Copying table creates visible ve-data-attributes and table tags.Jul 2 2018, 8:06 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to DLynch.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot set the point value for this task to 1.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: DLynch.